Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon
Class OWSCommonCapabilitiesDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CapabilitiesDocument, CatalogueCapabilitiesDocument, OWSCapabilitiesBaseDocument_1_0, WFSCapabilitiesDocument_1_1_0, WMPSCapabilitiesDocument, WPSCapabilitiesDocument, WPVSCapabilitiesDocument

    public abstract class OWSCommonCapabilitiesDocument

extends OGCCapabilitiesDocument

Represents a configuration document for an OGC-Webservice according to the `OWS Common Implementation Specification 0.3`.

It consists of the following elements:

Name | Function
--- | ---
ServiceIdentification | corresponds to and expands the SV_ServiceIdentification class in ISO 19119
ServiceProvider | corresponds to and expands the SV_ServiceProvider class in ISO 19119
OperationsMetadata | contains set of Operation elements that each corresponds to and expand the SV_OperationsMetadata class in ISO 19119
Contents | whenever relevant, contains set of elements that each corresponds to the MD_DataIdentification class in ISO 19119 and 19115

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`static String` | `ALL_NAME`
`static String` | `CONTENTS_NAME`
`protected static URI` | `OGCNS`
`static String` | `OPERATIONS_METADATA_NAME`
`protected static URI` | `OWSNS`
`static String` | `SERVICE_IDENTIFICATION_NAME`
`static String` | `SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`OWSCommonCapabilitiesDocument()`

Method Summary
`protected TypeCode` | `getCodeType(Element element)` Creates a class representation of an element of type `ows:CodeType`.
`protected OWSDomainType[]` | `getContraints(Element root)`
`protected DCPType` | `getDCP(Element element)` Creates a `DCPType` object from the passed `DCP` element.
`protected DCPType[]` | `getDCPs(List<Element> el)` Creates an array of `DCPType` objects from the passed element list.
`protected Keywords` | `getKeywords(Element element)` Creates a `Keywords` instance from the given element of type `ows:KeywordsType`.
`Keywords[]` | `getKeywords(List nl)` Creates an array of `Keywords` instances from the passed list of elements of type `ows:KeywordsType` .
`protected Operation` | `getOperation(String name, boolean isMandatory, Map operations)` Creates a class representation of an `ows:Operation`- element.
`protected OWSDomainType` | `getOWSDomainType(String opname, Element element)` Creates a class representation of an element of type `ows:DomainType`.
`ServiceIdentification` | `getServiceIdentification()` Returns the class representation for the `ServiceIdentification` section of the document.
`ServiceProvider` | `getServiceProvider()` Returns the class representation for the `ServiceProvider` section of the document.
`protected Envelope` | `getWGS84BoundingBoxType(Element element)` Creates an `Envelope` object from the given element of type `ows:WGS84BoundingBoxType`.

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseCapabilities, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_NAME

    public static final String ALL_NAME

See Also:
  Constant Field Values

### SERVICE_IDENTIFICATION_NAME

    public static final String SERVICE_IDENTIFICATION_NAME

See Also:
  Constant Field Values

### SERVICE_PROVIDER_NAME

    public static final String SERVICE_PROVIDER_NAME

See Also:
  Constant Field Values

### OPERATIONS_METADATA_NAME

    public static final String OPERATIONS_METADATA_NAME

See Also:
  Constant Field Values

### CONTENTS_NAME

    public static final String CONTENTS_NAME

See Also:
  Constant Field Values

### OWSNS

    protected static final URI OWSNS

### OGCNS

    protected static final URI OGCNS

Constructor Detail

### OWSCommonCapabilitiesDocument

    public OWSCommonCapabilitiesDocument()

Method Detail

### getServiceProvider

    public ServiceProvider getServiceProvider()
                                       throws XMLParsingException

  Returns the class representation for the `ServiceProvider` section of the document.

  Returns:
    class representation for the `ServiceProvider` section
  Throws:
    `XMLParsingException`

### getServiceIdentification

    public ServiceIdentification getServiceIdentification()
                                                   throws XMLParsingException

  Returns the class representation for the `ServiceIdentification` section of the document.

  Returns:
    class representation for the `ServiceIdentification` section
  Throws:
    `XMLParsingException`

### getKeywords

    protected Keywords getKeywords(Element element)
                            throws XMLParsingException

  Creates a `Keywords` instance from the given element of type `ows:KeywordsType`. NOTE: This method is redefined here (it is already defined in `OGCDocument`), because the spelling of the first letter ('K') changed in the OWS Common Implementation Specification 0.2 from lowercase to uppercase.

  Parameters:
    `element` -
  Returns:
    created `Keywords`
  Throws:
    `XMLParsingException`

### getKeywords

    public Keywords[] getKeywords(List nl)
                           throws XMLParsingException

  Creates an array of `Keywords` instances from the passed list of elements of type `ows:KeywordsType` . This may appear to be pretty superfluous (as one `ows:KeywordsType` can hold several elements of type `ows:Keyword` .

  Parameters:
    `nl` - may be null
  Returns:
    created array of `Keywords` , null if `NodeList` constains zero elements
  Throws:
    `XMLParsingException`

### getDCP

    protected DCPType getDCP(Element element)
                      throws XMLParsingException

  Creates a `DCPType` object from the passed `DCP` element.

  NOTE: Currently the `OnlineResources` included in the `DCPType` are just stored as simple `URLs` (not as `OnLineResource` instances)!

  NOTE: In an `OGCStandardCapabilitiesDocument` the `XLinks` (the `URLs`) are stored in separate elements (`OnlineResource`), in an `OGCCommonCapabilitiesDocument` they are the `Get`/`Post` elements themselves.``

  Parameters:
    `element` -
  Returns:
    created `DCPType`
  Throws:
    `XMLParsingException`
  See Also:
    `OGCStandardCapabilities`

### getDCPs

    protected DCPType[] getDCPs(List<Element> el)
                         throws XMLParsingException

  Creates an array of `DCPType` objects from the passed element list.

  NOTE: Currently the `OnlineResources` included in the `DCPType` are just stored as simple `URLs` (not as `OnLineResource` instances)!

  Parameters:
    `el` -
  Returns:
    array of `DCPType`
  Throws:
    `XMLParsingException`

### getOperation

    protected Operation getOperation(String name,
                                     boolean isMandatory,
                                     Map operations)
                              throws XMLParsingException

  Creates a class representation of an `ows:Operation`- element.

  Parameters:
    `name` -
    `isMandatory` -
    `operations` -
  Returns:
    operation
  Throws:
    `XMLParsingException`

### getContraints

    protected OWSDomainType[] getContraints(Element root)
                                     throws XMLParsingException

  Parameters:
    `root` -
  Returns:
    constraints as array of OWSDomainType
  Throws:
    `XMLParsingException`

### getOWSDomainType

    protected OWSDomainType getOWSDomainType(String opname,
                                             Element element)
                                      throws XMLParsingException

  Creates a class representation of an element of type `ows:DomainType`.

  Parameters:
    `element` -
  Returns:
    domainType
  Throws:
    `XMLParsingException`

### getCodeType

    protected TypeCode getCodeType(Element element)
                            throws XMLParsingException

  Creates a class representation of an element of type `ows:CodeType`.

  Parameters:
    `element` - an ows:CodeType element
  Returns:
    the TypeCode (which is defined as something like a dictionary, thesaurus etc.)
  Throws:
    `XMLParsingException`

### getWGS84BoundingBoxType

    protected Envelope getWGS84BoundingBoxType(Element element)
                                        throws XMLParsingException

  Creates an `Envelope` object from the given element of type `ows:WGS84BoundingBoxType`.

  Parameters:
    `element` -
  Returns:
    an `Envelope` object
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org